<!--
function fn(myform,iis,iiq)
{
  var ipt;
  var textboxs = new Array(); // text类型的input集合
  var inputs = myform.getElementsByTagName("INPUT"); // 取form下的所有input
  
  
  var txa;
  var textareas = new Array(); // text类型的textarea集合
  var areas = myform.getElementsByTagName("TEXTAREA"); // 取form下的所有textarea
      
  // 遍历所有INPUT
  //
  for (var i=0; i<inputs.length; i++)
  {
    ipt = inputs[i ];
    if (ipt.type == "text" || ipt.type == "password")
    {
      textboxs[textboxs.length] = ipt;
    }
  }
  // 非空检测
  for (var i=0; i<=iis; i++)
  {
    var txt = textboxs[i ];
    if (txt && txt.value == "")
    {
      alert("必填项未填!");
      txt.focus();
      return false;
    }
  }
    
     // 遍历所有TEXTAREA
  //
  for (var i=0; i<areas.length; i++)
  {
    txa = areas[i ];
    if (txa.type == "textarea")
    {
      textareas[textareas.length] = txa;
    }
  }
  // 非空检测
  for (var i=0; i<=iiq; i++)
  {
    var txta = textareas[i ];
    if (txta && txta.value == "")
    {
      alert("信息不完整!");
      txta.focus();
      return false;
    }
  }
   
  return true;
}

-->